Subject: bug#45926: Tabulated-list-mode wasteful properties

From: Boruch Baum <[email-masked]>
Date: Thu, 11 Mar 2021 21:57:09 -0500

On 2021-03-11 18:52, Stefan Kangas wrote:
> Lars Ingebrigtsen <[email-masked]> writes:
>
> > Boruch Baum <[email-masked]> writes:
> >
> >> Until you wrote, I definitely was. I think I still am, but I'm willing
> >> to look again.
>
> Borouch, did you have the time to look into if this data is indeed
> shared or not?  Thanks.

Oh. I thought I had done that right away ...

Doing it again now. Yes. It's very simple to check for yourself. Open a
buffer that uses the mode and evaluate from any table line ...

  (buffer-substring (line-beginning-position) (line-end-position))

You should be able to clearly see all the duplication. It's easiest when
you have pretty-print set up to display the output in a dedicated
buffer, but even without that you can isearch through the duplications.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0